Skip to main content
PATCH
/
customers
/
{id}
Update a customer
curl --request PATCH \
  --url https://commerce1.on-hellgate.dev/customers/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "address": {
    "city": "<string>",
    "country_code": "<string>",
    "line_1": "<string>",
    "postal_code": "<string>",
    "state": "<string>",
    "line_2": "<string>"
  },
  "description": "<string>",
  "email": "<string>",
  "name": "<string>",
  "tax_settings": {
    "exempt": "NONE",
    "tax_id": "<string>"
  }
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "address": {
    "city": "<string>",
    "country_code": "<string>",
    "line_1": "<string>",
    "postal_code": "<string>",
    "state": "<string>",
    "line_2": "<string>"
  },
  "description": "<string>",
  "email": "<string>",
  "tax_settings": {
    "exempt": "NONE",
    "tax_id": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string
required

Customer ID

Body

application/json

Body

address
AddressSchema · object
description
string
email
string
name
string
tax_settings
TaxSettingsSchema · object

Response

Success

id
string<uuid>
required
name
string
required
address
AddressSchema · object
description
string
email
string
tax_settings
TaxSettingsSchema · object